library(shogun)

f_feats_train <- CSVFile("../../data/classifier_4class_2d_linear_features_train.dat")
f_feats_test <- CSVFile("../../data/classifier_4class_2d_linear_features_test.dat")
f_labels_train <- CSVFile("../../data/classifier_4class_2d_linear_labels_train.dat")
f_labels_test <- CSVFile("../../data/classifier_4class_2d_linear_labels_test.dat")

#![create_features]
features_train <- RealFeatures(f_feats_train)
features_test <- RealFeatures(f_feats_test)
labels_train <- MulticlassLabels(f_labels_train)
labels_test <- MulticlassLabels(f_labels_test)
#![create_features]

#![set_feature_types]
ft <- IntVector(2)
ft[1] = 2
ft[2] = 2
#![set_feature_types]

#![create_instance]
classifier <- CHAIDTree(0, ft, 10)
classifier$set_labels(labels_train)
#![create_instance]

#![train_and_apply]
classifier$train(features_train)
labels_predict <- classifier$apply_multiclass(features_test)
#![train_and_apply]

#![evaluate_accuracy]
eval <- MulticlassAccuracy()
accuracy <- eval$evaluate(labels_predict, labels_test)
#![evaluate_accuracy]

# integration testing variables
output <- labels_predict$get_labels()
